Opened 4 years ago

Closed 4 years ago

Last modified 5 weeks ago

#630 closed defect (fixed)

fedora issues with wireless

Reported by: llynch@… Owned by: chelliot@…
Priority: tbd Milestone: ietf-087
Component: wireless Keywords:
Cc: cdoyle@… My Current Location:
My MAC Address: My OS:

Description

Re: [87attendees] Anyone using Fedora 18 on the IETF wifi?

From: Robert Moskowitz <rgm at labs.htt-consult.com>
To: Derek Atkins <DAtkins at mocana.com>
Cc: "87attendees at ietf.org" <87attendees at ietf.org>, Dominik Bay <db at rrbone.net>
Date: Mon, 29 Jul 2013 17:53:11 +0200
In-reply-to: <76F05F8F-EBE8-4C93-AA94-4AA104DC8FF9 at mocana.com>
References: <76F05F8F-EBE8-4C93-AA94-4AA104DC8FF9 at mocana.com>
List-id: <87attendees.ietf.org>

Title: Standard

On 07/29/2013 10:40 AM, Derek Atkins wrote:

Yes, that is what I see... Over and over. Hard to type that into my phone. :-)

I have a 3.9.10-200 kernel. Do you not get that from the 3.10 kernel? Maybe location matters?

I can try to update my kernel after I get out of appsarea.

rsyslogd is going crazy on my system (Fedora 17) on the ietf network to the point the system locks. It is running my CPU up to 98% and my temp to 83 degrees.

I am fine on the hotel network. I was on the ietf-a, and thought that was the problem, so I switched to the ietf plain and same thing. /var/logs/messages is now 5.6GB! I hope that logrotate works tonight!

-derek

Sent from my HTC EVO 4G

Change history (7)

comment:1 Changed 4 years ago by llynch@…

Owner: changed from nkukich@… to chelliot@…
Status: newassigned

culled from the attendees list as there is now critical mass on traffic on this topic.

  • Lucy

comment:2 Changed 4 years ago by cdoyle@…

Probably the Intel chipset/Linux kernel 802.11n issue we've seen before. see if he can turn his n-radio off.

comment:3 Changed 4 years ago by llynch@…

Cc: cdoyle@… added

see full thread here:

https://www.ietf.org/mail-archive/web/87attendees/current/threads.html#00376

several different examples...

comment:4 Changed 4 years ago by llynch@…

From: Chris Elliott <chelliot at pobox.com>
To: Derek Atkins <DAtkins at mocana.com>
Cc: "87attendees at ietf.org" <87attendees at ietf.org>, Robert Moskowitz <rgm at labs.htt-consult.com>, Paul Wouters <pwouters at redhat.com>
Date: Wed, 31 Jul 2013 04:18:47 +0200
In-reply-to: <1375179648.5686.5.camel at localhost>
References: <76F05F8F-EBE8-4C93-AA94-4AA104DC8FF9 at mocana.com> <51F68FE7.3010404 at labs.htt-consult.com> <51F69CDE.3070900 at redhat.com> <51F6E543.7070609 at labs.htt-consult.com> <51F76C00.70205 at redhat.com> <1375179648.5686.5.camel at localhost>
List-id: <87attendees.ietf.org>

All,

After closer inspection by Derek and I of the error, when it happens, and the Linux source, we believe that it is likely that turning on 802.11n on the 2.4Ghz radios is likely to trigger this bug.

I've changed my mind partly because it's clear now that it's while the client is processing beacons that the message is generated.

So, I have turned off 802.11n on the 2.4Ghz radios so we can verify this. We may turn it back on one or more APs later if we get a fix or need to do further testing.

Please let me know if you still see the issue.

Chris.

comment:5 Changed 4 years ago by llynch@…

Chris -

Can you add a summary and close the ticket, please

  • Lucy

comment:6 Changed 4 years ago by chelliot@…

Resolution: fixed
Status: assignedclosed

Update:

This issue seems to be because Linux had three problems. The first is that the database of wifi channels was not up-to-date for the October 2012 changes for DE (and EU as a whole, as I understand it). The second is that, when it found a channel that it thought was not valid it was generating gobs of messages and basically not doing the correct thing, to use the correct technical terms. And lastly, somehow Network Manager was involved, although I really don't understand how. If you don't use Network Manager, you don't trigger this problem, or, at least, it doesn't hang your kernel.

The kernel/wifi code that has this defect was added in the 802.11ac update and, therefore, is very recent. Ubuntu, etc., were not affected as they were running older kernels. We only saw Fedora 17-19 affected.

Chris Wright (chrisw@…) is submitting/has submitted changes for the wifi database for DE, with notes for the other affected countries to be done as well.

Chris has also produced at least two versions of a patch for the kernel. Derek has tested with Fedora 19. Chris is to port back to 18. Bob is running 17, but says not to bother porting back to 17 as he will be upgrading to 19 this month.

This should not be an issue in Vancouver, but will be in London for any clients with ac-compatible linux kernels without these patches.

Closing this ticket.

comment:7 Changed 5 weeks ago by Rick Alfvin

Milestone: ietf-87ietf-087

Milestone renamed

Note: See TracTickets for help on using tickets.